HFST-FST2FST(1)

NAME
hfst-fst2fst - =Convert transducers between binary formats

SYNOPSIS
hfst-fst2fst [OPTIONS...] [INFILE]

DESCRIPTION
Convert transducers between binary formats

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Conversion options:

-f, --format=FMT
    Write result in FMT format

-b, --use-backend-format
    Write result in implementation format, without any HFST wrappers

-S, --sfst
    Write output in (HFST's) SFST implementation

-F, --foma
    Write output in (HFST's) foma implementation

-x, --xfsm
    Write output in native xfsm format

-t, --openfst-tropical
    Write output in (HFST's) tropical weight (OpenFST) implementation

-l, --openfst-log
    Write output in (HFST's) log weight (OpenFST) implementation

-O, --optimized-lookup-unweighted Write output in the HFST optimized-lookup implementation

-w, --optimized-lookup-weighted
    Write output in optimized-lookup (weighted) implementation

-Q  --quick
    When converting to optimized-lookup, don't try hard to compress

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE FMT must be name of a format usable by libhfst, i.e. one of the following: { foma, openfst-tropical, openfst-log, sfst, xfsm

    optimized-lookup-weighted, optimized-lookup-unweighted }.

Note that xfsm format is always written in native format without HFST wrappers.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-fst2fst home page: <https://github.com/hfst/hfst/wiki/HfstFst2Fst>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.